Bug 93518 - Directory of missing macro library is automatically created
Summary: Directory of missing macro library is automatically created
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-UI
  Show dependency treegraph
 
Reported: 2015-08-18 22:03 UTC by sworddragon2
Modified: 2022-10-19 15:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2015-08-18 22:03:12 UTC
After doing the reproduction steps of https://bugs.documentfoundation.org/show_bug.cgi?id=93517 I'm noticing that the directory containing the macro library gets automatically created (if it got deleted too) if Writer gets started and the error message is shown. It looks a little strange to me that a non-existent directory is created on a reading process.
Comment 1 Buovjaga 2015-09-09 14:05:38 UTC
I guess you mean "directory" in the Organize macros view, I confirm.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 2 sworddragon2 2015-09-09 20:28:24 UTC
With "directory" I was pointing to the one on the filesystem level.
Comment 3 Buovjaga 2015-09-09 20:35:57 UTC
(In reply to sworddragon2 from comment #2)
> With "directory" I was pointing to the one on the filesystem level.

What is the path?
Comment 4 sworddragon2 2015-09-09 20:43:41 UTC
The path is the directory of the macro library (maybe you want to make a look at the reproduction steps of the linked ticket to understand it better).
Comment 5 Buovjaga 2015-09-09 21:02:07 UTC
Ok, so the test.xlb has to be put in a subdir and then the subdir deleted in step 6 of bug 93517.
Confirmed the subdir re-appearance.
Comment 6 QA Administrators 2016-09-20 10:28:59 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:44:54 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2021-12-03 04:39:39 UTC
Dear sworddragon2,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug